## fotoxx-maps 1.1

=== Makefile ===
# fotoxx-maps makefile 

# defaults for parameters that may be pre-defined
PREFIX ?= /usr

# target install directories
SHAREDIR = $(PREFIX)/share/fotoxx-maps
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/fotoxx-maps
MANDIR = $(PREFIX)/share/man/man1

install:
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	# man page
	cp -f doc/fotoxx-maps.man fotoxx-maps.1
	gzip -f -9 fotoxx-maps.1
	mv -f fotoxx-maps.1.gz $(DESTDIR)$(MANDIR)

uninstall:
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx-maps.1.gz

clean:
	echo nothing to clean
