=== debian/changelog ===
fotoxx-maps (1.1-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 06 Jul 2016 20:08:04 -0700

fotoxx-maps (1.1-pmo2~xenial) xenial; urgency=medium

  * Initial release for Xenial 16.04

 -- Pascal Mons <pascal_mons@hotmail.com>  Sun, 27 Mar 2016 13:56:37 -0400

fotoxx-maps (1.1-pmo2~wily) wily; urgency=low

  * Set Architecture: All in debian/control
  * Bump Standards-Version 3.9.3 => 3.9.6 (no change required)

 -- Pascal Mons <pascal_mons@hotmail.com>  Fri, 25 Sep 2015 11:28:56 -0400

fotoxx-maps (1.1-pmo1~wily) wily; urgency=medium

  * Additional maps for E.Europe, N.America, France, Germany, Italy, 
    Spain-Portugal, UK.
  * Initial release with maps for world, USA, S.America, Europe, Africa,
    Asia and Australia + New Zealand.
  * These maps show locations of photos having geotags. Clicking
    a map location shows a gallery of thumbnail images that can be selected in turn
    for viewing full size or editing. A user may add more maps, and these will work
    the same way.

 -- Pascal Mons <pascal_mons@hotmail.com>  Sat, 12 Sep 2015 11:57:03 -0400

fotoxx-maps (1.1-pmo1~trusty) trusty; urgency=low

  * Additional maps for E.Europe, N.America, France, Germany, Italy, 
    Spain-Portugal, UK.
  * Initial release with maps for world, USA, S.America, Europe, Africa,
    Asia and Australia + New Zealand.
  * These maps show locations of photos having geotags. Clicking
    a map location shows a gallery of thumbnail images that can be selected in turn
    for viewing full size or editing. A user may add more maps, and these will work
    the same way.

 -- Pascal Mons <pascal_mons@hotmail.com>  Sun, 28 Dec 2014 13:38:18 -0500
