=== debian/control ===
Source: fotoxx-maps
Section: graphics
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Pascal Mons <pascal_mons@hotmail.com>
Build-Depends:
	debhelper (>= 9),
	libgtk-3-dev,
	libtiff5-dev,
	xdg-utils,
	libimage-exiftool-perl,
	liblcms2-dev
Standards-Version: 3.9.6
Homepage: http://kornelix.squarespace.com/downloads/

Package: fotoxx-maps
Architecture: all
Depends: ${shlibs:Depends},${misc:Depends},libimage-exiftool-perl
Recommends: ufraw-batch,ufraw,dcraw,xgd-open,libtiff,xdg-utils,libimage-exiftool-perl
Suggests: brasero
Description: Fotoxx-maps provides map files for use with Fotoxx. 
 When used with Fotoxx, these maps show the locations of photos that 
 have geotags in their embedded EXIF data. A map location may be 
 selected with the mouse and the corresponding photes will be shown 
 as a scrollable page of thumbnails. These may be selected in turn 
 for viewing at full size or editing with Fotoxx.
