=== debian/changelog ===
fotoxx-maps (1.3-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Nov 2019 07:37:30 -0800

fotoxx-maps (1.3-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Nov 2019 07:36:19 -0800

fotoxx-maps (1.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Reduce build-depends to debhelper, Depends to fotoxx.
  * Simplify rules file considerably.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Sep 2017 16:01:07 -0700
