## fotoxx-maps 1.4

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx-maps.1.gz
 	rm -f  $(DESTDIR)$(MENUFILE)
+	rm -f  $(DESTDIR)$(APPDATADIR)/fotoxx-maps*
 
 clean:
 	rm -f  fotoxx-maps
