=== debian/changelog ===
fotoxx-maps (1.4-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 19 Jan 2020 17:07:37 -0800
