=== debian/changelog ===
fotoxx-maps (1.7-0mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 23 Apr 2021 15:35:08 -0700

fotoxx-maps (1.7-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Updated build depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 23 Apr 2021 15:12:41 -0700
