=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: fotoxx-maps
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Bugs: mailto: <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Pascal Mons <pascal_mons@hotmail.com>
-Build-Depends: debhelper (>= 9), 
+Build-Depends: debhelper (>= 12), 
+    libclutter-gtk-1.0-dev,
+    libchamplain-gtk-0.12-dev,  
 	libgtk-3-dev,
 	libtiff5-dev,
 	xdg-utils,
