=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	cd $(CURDIR)

overrride_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/fotoxx-maps prefix=/usr install

override_dh_builddeb:
	# remove the man page file in the /usr/share/doc/fotoxx-maps folder
	$ rm $(CURDIR)/debian/fotoxx-maps/usr/share/doc/fotoxx-maps/fotoxx-maps.man
	dh_builddeb
