=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://kornelix.squarespace.com/downloads/ \
/storage/downloads/fotoxx-maps-(.*)\.tar\.gz
